<?php
// $Id$

/**
 * @file
 *   Context plugin to expose current CONTENTdm scope as a condition.
 */

/**
 * Expose current CONTENTdm scope as a context condition.
 */
class contentdm_scope_context_condition_scope extends context_condition {
  function condition_values() {
    $values = array();
    // Get all scopes from {contentdm_scopes} table.
    $result = db_query('SELECT id, title from {contentdm_scopes} ORDER BY title');
    while ($scope = db_fetch_object($result)) {
      $values[$scope->id] = check_plain($scope->title);
    }
    return $values;
  }

  function execute($scope_id) {
    if (isset($_SESSION['contentdm_scope']['id'])) {
      foreach ($this->get_contexts($scope_id) as $context) {
        // Grab the scope ID from $_SESSION and pass it to the plugin for evaluating.
        $this->condition_met($context, $_SESSION['contentdm_scope']['id']);
      }
    }
  }
}
