/**
 * @file
 * jQuery JavaScript file to accompany the CONTENTdm Compound Item Viewer module.
 */

if (Drupal.jsEnabled) { 
  $(document).ready(function(){ 
     /* Get the position of the current child thumbnail in the scrollable div showing all
      * children in a compound item, and then automatically scroll to that position, so that
      * the current child's thumbnail is in the middle of the div.
      */
     // Get variables from the contentdm_viewer_compound module.
     var current_child_pointer = Drupal.settings.contentdm_viewer_compound.current_child_pointer;
     var center_of_scrollable_div = Drupal.settings.contentdm_viewer_compound.center_of_scrollable_div;
     // Get the position of the current child thumbnail.
     var current_child_pointer_div_position = $("#pointer_" + current_child_pointer).position();
     // We want the current child thumbnail to display in the middle of the scrollable div, so we
     // subtract half the scrollable div's width from the position.
     var adjusted_position = current_child_pointer_div_position.left - center_of_scrollable_div;
     // Scroll the div to the desired position.
     $("#intra_doc_nav_scrolling").scrollLeft(adjusted_position);
  }); 
} 

